Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.framework
Class PlatformConfig

    java.lang.Object
      org.eclipse.birt.core.framework.PlatformConfig

All Implemented Interfaces:
  IPlatformConfig

    public class PlatformConfig

extends java.lang.Object
implements IPlatformConfig

Defines an implementation of IPlatformConfig to access OSGi framework. implements the interface IPlatformConfig

Field Summary
`protected java.util.HashMap` | `properties` the properties that needed when platfrom is running it's an instance of HashMap

Fields inherited from interface org.eclipse.birt.core.framework.IPlatformConfig
`BIRT_HOME, OSGI_ARGUMENTS, OSGI_CONFIGURATION, PLATFORM_CONTEXT`

Constructor Summary
`PlatformConfig()`

Method Summary
`java.lang.String` | `getBIRTHome()`
`java.lang.String[]` | `getOSGiArguments()`
`java.util.Map` | `getOSGiConfig()`
`IPlatformContext` | `getPlatformContext()`
`java.util.HashMap` | `getProperties()`
`java.lang.Object` | `getProperty(java.lang.String name)`
`void` | `setBIRTHome(java.lang.String birtHome)`
`void` | `setOSGiArguments(java.lang.String[] arguments)`
`void` | `setOSGiConfig(java.util.Map osgiConfigMap)` set the configuration used by the OSGi framework.
`void` | `setPlatformContext(IPlatformContext context)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    protected java.util.HashMap properties

  the properties that needed when platfrom is running it's an instance of HashMap

Constructor Detail

### PlatformConfig

    public PlatformConfig()

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

### getProperties

    public java.util.HashMap getProperties()

### getBIRTHome

    public java.lang.String getBIRTHome()

### setBIRTHome

    public void setBIRTHome(java.lang.String birtHome)

### getOSGiArguments

    public java.lang.String[] getOSGiArguments()

### setOSGiArguments

    public void setOSGiArguments(java.lang.String[] arguments)

### setOSGiConfig

    public void setOSGiConfig(java.util.Map osgiConfigMap)

  set the configuration used by the OSGi framework. The configuration includes all valid osgi configs except some reserved as follow:
  - 1. osgi.install.area, using the one defined by BIRT_HOME.
  - 2. eclipse.ignoreApp, be true.
  - 3. osgi.noShutDown, be true.
  - 4. osgi.framework, using the one defined by BIRT_HOME
  - 5. osgi.framework.useSystemProperties, be false.

  Parameters:
    `osgiConfigMap` -

### getOSGiConfig

    public java.util.Map getOSGiConfig()

### getPlatformContext

    public IPlatformContext getPlatformContext()

### setPlatformContext

    public void setPlatformContext(IPlatformContext context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.